Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/crypto/external/bsd/openssh Force user to specify source dir...



details:   https://anonhg.NetBSD.org/src/rev/068ba41ae556
branches:  trunk
changeset: 961806:068ba41ae556
user:      christos <christos%NetBSD.org@localhost>
date:      Mon Apr 19 14:07:36 2021 +0000

description:
Force user to specify source dir. Too dangerous to run in random places.

diffstat:

 crypto/external/bsd/openssh/openssh2netbsd |  10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

diffs (26 lines):

diff -r e600b2b6305c -r 068ba41ae556 crypto/external/bsd/openssh/openssh2netbsd
--- a/crypto/external/bsd/openssh/openssh2netbsd        Mon Apr 19 13:18:43 2021 +0000
+++ b/crypto/external/bsd/openssh/openssh2netbsd        Mon Apr 19 14:07:36 2021 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 #
-#      $NetBSD: openssh2netbsd,v 1.3 2020/12/04 18:42:49 christos Exp $
+#      $NetBSD: openssh2netbsd,v 1.4 2021/04/19 14:07:36 christos Exp $
 #
 # Copyright (c) 2001 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -28,6 +28,14 @@
 #
 # openssh2netbsd:  convert a openssh source tree into netbsd openssh tree
 
+if [ -z "$1" ]; then
+       echo "Usage: $0 <dir>" 1>&2
+       exit 1
+fi
+
+set -e
+cd "$1"
+
 ### Remove CVS
 find . -name CVS -print | xargs rm -r
 



Home | Main Index | Thread Index | Old Index